/**
 * 描述：周期季度列表
 */
shr.defineClass("shr.custom.ExamineGradePersonScoreList", shr.framework.List, {
	/**
	 * 描述:初始化操作
	 * 
	 * @action
	 */
	initalizeDOM: function () {
		var _self = this;
		shr.custom.ExamineGradePersonScoreList.superClass.initalizeDOM.call(this);

	},


	/**
 * 查看
 */
	viewAction: function (billId, rowid) {
		// 编辑界面禁用，则直接返回
		if (this.editViewDisable) {
			return;
		}
		this.reloadPage({
			uipk: "com.kingdee.eas.custom.performancenew.app.ExamineGradePersonEntryScore.list",
			billId: billId,

		});
	},   	/**
	* 获得快速查询和高级查询条件
	*/
   getQuickFilterItems: function () {
	   var filter = $('#searcher').shrSearchBar('option', 'filterView');
	   if (filter && filter.filterItems) {
		   var filterItems = filter.filterItems;
		   var pattern = /(\w+)\s+like\s+'%(.*?)%'/; // 匹配字段名和百分号内的内容

		   var matchResult = filterItems.match(pattern);
		   var columnName = matchResult ? matchResult[1] : null;
		   var extractedData = matchResult ? matchResult[2] : null;
		   if (columnName != null) {
			   return filterItems = "(" + columnName + " = '" + extractedData + "')"
		   }
	   }
   },

});